<div class="msg-pop">
  <div>
    <h3>Shift Details</h3>
  </div>
  <span matTooltip="CSV">
    <img src="assets/img/csv.png" (click)="createCsv()" alt="csv"/>
</span>
</div>
<div>
  <div class="pop--inner">
    <div class="ibox-content">
      <div>
        <table aria-describedby="Manage Company" *ngIf="ShiftData" style="text-align: center;" >
          <thead>
            <tr><th scope="col"></th></tr>
            <tr><th scope="col"></th></tr>
          </thead>
          <tbody>
            <td>
              <table aria-describedby="Manage Company" class="table table-bordered">
                <tr>
                  <th scope="col">Driver Name</th>
                  <td>{{ShiftData.driver_id.username}} </td>
                </tr>
                <tr>
                  <th scope="col">Vehicle Name</th>
                  <td>{{ShiftData.vehicle_id.display_name}} </td>
                </tr>
                <tr>
                  <th scope="col">Vehicle Id</th>
                  <td>{{ShiftData.vehicle_id.vehicle_unique_id}} </td>
                </tr>
                <tr>
                  <th scope="col">Device Name</th>
                  <td>{{ShiftData.device_id.device_model}} </td>
                </tr>
                <tr>
                  <th scope="col">Device Id</th>
                  <td>{{ShiftData.device_id.unique_device_id}} </td>
                </tr>
                <tr>
                  <th scope="col">Company:</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.company?ShiftData.shift_details_id.company:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">Occupied time:</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.occupied_time?ShiftData.shift_details_id.occupied_time:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">Free time:</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.free_time?ShiftData.shift_details_id.free_time:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">First start :</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.first_start?ShiftData.shift_details_id.first_start:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">Last stop :</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.last_stop?ShiftData.shift_details_id.last_stop:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">Orders distance:</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.orders_distance?ShiftData.shift_details_id.orders_distance:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">Total distance:</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.total_distance?ShiftData.shift_details_id.total_distance:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">Driver formated:</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.driver_formated?ShiftData.shift_details_id.driver_formated:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">Drive:</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.drive?ShiftData.shift_details_id.drive:'N/A':'N/A'}}
                  </td>
                </tr>
                <tr>
                    <th scope="col">Bill not printed count:</th>
                    <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.bill_not_printed_count?ShiftData.shift_details_id.bill_not_printed_count:'N/A':'N/A'}}
                      </td>
                  </tr>
                 
              </table>
            </td>
            <td>
              <table aria-describedby="Manage Company" class="table table-bordered">
                  <tr>
                      <th scope="col">No payment:</th>
                      <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.no_payment?ShiftData.shift_details_id.no_payment:'N/A':'N/A'}}
                        </td>
                    </tr>
                <tr>
                  <th scope="col">Free rides:</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.free_rides?ShiftData.shift_details_id.free_rides:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">Status :</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.status?ShiftData.shift_details_id.status:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">Total:</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.total?ShiftData.shift_details_id.total:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">Payed:</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.payed?ShiftData.shift_details_id.payed:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">To pay:</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.to_pay?ShiftData.shift_details_id.to_pay:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">Shift duration:</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.shift_duration?ShiftData.shift_details_id.shift_duration:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">Trip full paid by credit:</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.trip_full_paid_by_credit?ShiftData.shift_details_id.trip_full_paid_by_credit:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">Trip partially paid by credit :</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.trip_partially_paid_by_credit?ShiftData.shift_details_id.trip_partially_paid_by_credit:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">Credit total:</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.credit_total?ShiftData.shift_details_id.credit_total:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">Cash trip total:</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.cash_trip_total?ShiftData.shift_details_id.cash_trip_total:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">Credit:</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.credit?ShiftData.shift_details_id.credit:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">Bill printed :</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.bill_printed?ShiftData.shift_details_id.bill_printed:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">Bill printed count :</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.bill_printed_count?ShiftData.shift_details_id.bill_printed_count:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">Bill not printed:</th>
                  <td>{{ShiftData.shift_details_id!=null?ShiftData.shift_details_id.bill_not_printed?ShiftData.shift_details_id.bill_not_printed:'N/A':'N/A'}}
                    </td>
                </tr>
               
              </table>
            </td>
          </tbody>
        </table>
      </div>
    </div>
    <div class="container-fluid" *ngIf="!ShiftData">
      <div class="row">
        <div class="dataTables_info1">
          <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
            No records found
          </div>
        </div>
      </div>
    </div>

    <div class="pop-btn text-right">
      <input class="btn btn-sm btn-primary red" value="Close" type="button" (click)="closePop()">
    </div>
  </div>